%define majver %(echo %version | cut -d. -f1-2)
Name:          hwloc
Version:       2.7.1
Release:       1mamba
Summary:       A portable abstraction of the hierarchical topology of modern architectures
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.open-mpi.org/projects/hwloc/
Source:        https://download.open-mpi.org/release/hwloc/v%{majver}/hwloc-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libbsd-devel
BuildRequires: libcairo-devel
BuildRequires: liblzma-devel
BuildRequires: libncurses-devel
BuildRequires: libpciaccess-devel
BuildRequires: libudev-devel
BuildRequires: libuuid-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: ocl-icd-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The Hardware Locality (hwloc) software project aims at easing the process of discovering hardware resources in parallel architectures. It offers command-line tools and a C API for consulting these resources, their locality, attributes, and interconnection. hwloc primarily aims at helping high-performance computing (HPC) applications, but is also applicable to any project seeking to exploit code and/or data locality on modern computing platforms.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%configure \
   --enable-plugins

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/hwloc-*
%{_bindir}/lstopo
%{_bindir}/lstopo-no-graphics
%ifnarch arm aarch64
%{_sbindir}/hwloc-dump-hwdata
%endif
%{_datadir}/applications/lstopo.desktop
%{_datadir}/bash-completion/completions/hwloc
%dir %{_datadir}/hwloc
%{_datadir}/hwloc/*
%{_mandir}/man1/hwloc-*.1*
%{_mandir}/man1/lstopo-no-graphics.1*
%{_mandir}/man1/lstopo.1*
%{_mandir}/man7/hwloc.7*
%dir %{_docdir}/hwloc
%{_docdir}/hwloc/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libhwloc.so.*
%dir %{_libdir}/hwloc
%{_libdir}/hwloc/hwloc_*.so
%{_libdir}/hwloc/hwloc_*.la
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/hwloc.h
%dir %{_includedir}/hwloc
%{_includedir}/hwloc/*
%{_libdir}/libhwloc.la
%{_libdir}/libhwloc.so
%{_libdir}/pkgconfig/hwloc.pc
%{_mandir}/man3/HWLOC_*.3*
%{_mandir}/man3/hwloc_*.3*
%{_mandir}/man3/hwlocality_*.3*
%doc NEWS README


%changelog
* Thu Mar 24 2022 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Mon Dec 13 2021 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Thu Oct 28 2021 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue Jun 15 2021 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Tue May 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1mamba
- update to 2.4.1

* Sun Nov 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created using the webbuild interface
